Name:		google-perftools
Version:	0.91
Release:	3%{?dist}
License:	BSD
Group:		Development/Tools
Summary:	Very fast malloc and performance analysis tools
URL:		http://code.google.com/p/google-perftools/
Source0:	http://google-perftools.googlecode.com/files/google-perftools-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# x86_64 support requires libunwind, which is not in FC-5 or FC-6.
# This arch is enabled in F7+
ExcludeArch:	x86_64
# No support for PPC yet. Bugzilla 238390
ExcludeArch:	ppc
Patch0:		google-perftools-0.91-norpath.patch

%description
Perf Tools is a collection of performance analysis tools, including a 
high-performance multi-threaded malloc() implementation that works
particularly well with threads and STL, a thread-friendly heap-checker,
a heap profiler, and a cpu-profiler.

%package devel
Summary:	Development libraries and headers for google-perftools
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Libraries and headers for developing applications that use google-perftools.

%prep
%setup -q
%patch0 -p1 -b .norpath

%build
%configure --disable-static
# Bad rpath!
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# Can't build with smp_mflags
make 

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT docdir=%{_docdir}/%{name}-%{version}/ install
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# Zero files
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/NEWS

%clean
rm -rf $RPM_BUILD_ROOT

%check
# The libraries aren't installed on the system yet. :P
# The tests work fine for me locally, but some of them fail inside mock.
# LD_LIBRARY_PATH=./.libs make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/pprof
%{_mandir}/man1/*
%{_docdir}/%{name}-%{version}/
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/google
%{_libdir}/*.so

%changelog
* Sun Apr 29 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.91-3
- The tests work fine for me locally, but some of them fail inside mock.

* Sun Apr 29 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.91-2
- no support for PPC yet

* Mon Apr 23 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.91-1
- alright, lets see if this works now.

* Wed Oct 13 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.3-2
- change group to Development/Tools

* Mon Oct 10 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.3-1
- initial package for Fedora Extras
